<template>
<section class="row">
     <div  class="col-lg-12">
          <el-button v-show="normalMode" disabled="disabled" style="width:100%" type="primary">Upload <i class="el-icon-success"></i> </el-button>
          <el-button v-show="updateMode" @click="setLang()" style="width:100%" type="warning">Upload <i class="el-icon-edit"></i> </el-button>
          <br><br>
         
         <div class="el-input el-input--prefix">
             <!---->
             <input  v-model="search" @keyup="make_search()" autocomplete="on" placeholder="Type something" type="text" rows="2" class="el-input__inner">
             <span class="el-input__prefix">
                 <i class="el-input__icon el-icon-search"></i>
                 <!---->
            </span><!----><!---->
        </div>

          <br><br>
          
    </div>
    <div class="col-lg-12">
        <el-table
            :data="make_search()"
            border
            style="width: 100% ">
            <el-table-column
            prop="en"
            label="English"
            >
            <template slot-scope="scope">
                <el-input
                placeholder="Please input"
                v-model="scope.row.en"
                v-validate="'required'"
                :disabled="false"
                name="text">
                </el-input>

                <el-alert
                    v-show="scope.row.en == '' || scope.row.en == null"
                    :title="errors.first('text') + ''"
                    :closable="false"
                    type="error"
                    show-icon>
                </el-alert>
            </template>
            </el-table-column>
            <el-table-column
            label="Arabic"
            >
            <template slot-scope="scope">
                <el-input
                placeholder="Please input"
                v-model="scope.row.ar"
                v-validate="'required'"
                name="text"
                :disabled="false">
                </el-input>

                <el-alert
                    v-show="scope.row.ar == '' || scope.row.ar == null"
                    :title="errors.first('text') + ''"
                    :closable="false"
                    type="error"
                    show-icon>
                </el-alert>
            </template>
            </el-table-column>
        
        </el-table>
    </div>
    
   
</section>
</template>


<script>

	import {store} from '../store'
    import network from '../../../network';
    import axios from 'axios';
    
    export default {
        name : "lang" ,
        created(){
            //console.log(this.formatedLang);
        },
        data(){
            return {
                lang : this.$store.state.languages,
                updateMode:false,
                normalMode:true,
                search:'',
                counter:0,
                network:new network()
            }
        },
        computed:{
            formatedLang(){
                var app = this ;
                return Object.keys(app.lang).map(function(key) {
                            
                           return  app.lang[key];
                })
            }
        },
        methods:{
            update_lang(){
                axios.request({
                    url: "setlang",
                    method: "POST",
                    baseURL: "http://localhost:9000/api/client/google/admin/",
                    
                    data: {}
                }).then(function(response) {
                    console.log(response)
                })
            },
            setLang(){
                this.network.make('setlang')
                    .then(response => {
                    if(response.data.code == 200){
                        //this.groups = response.data.subTenantGroups ;
                    }else{
                        //this.groups = [] ;
                    }
                    })
                    .catch(e => {
                    this.errors.push(e)
                    })
            },
            make_search(){
                //alert('hi')
                var app = this ;
                var lang = this.formatedLang ;
                    return lang.filter(function(item){
                        let en = item.en.toLowerCase();
                        let ar = item.ar.toLowerCase();
                        let search = app.search.toLowerCase();
                        return (en.indexOf(search) !== -1 || ar.indexOf(search) !== -1);
                })
             }
                    
            
        },
        watch:{
            lang:{
                handler(){
                    //this.$store.state.languages = this.lang;
                    let lang = JSON.stringify(this.lang)  ;
                    let storeLang = JSON.stringify(this.$store.state.languages);
                    if(lang != storeLang){
                        this.normalMode = false ;
                        this.updateMode = true ;
                    }else{
                        this.normalMode = true ;
                        this.updateMode = false ;
                    }

                    console.log(this.lang)

                    
                },
                deep:true
            }
        }

    }

</script>